Xalan-Java: Class NodeVector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class NodeVector

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.NodeVector

Direct Known Subclasses:
  MutableNodeListImpl

public class NodeVector
extends java.lang.Object
implements java.io.Serializable

**For internal use only** A very simple table that stores a list of Nodes.

See Also:
  Serialized Form

Constructor Summary
`NodeVector()` **For internal use only** Default constructor.
`NodeVector(int blocksize)` **For internal use only** Construct a NodeVector, using the given block size.

Method Summary
`void` | `addElement(org.w3c.dom.Node value)` **For internal use only** Append a Node onto the vector.
`void` | `appendNodes(NodeVector nodes)` **For internal use only** Append the nodes to the list.
`boolean` | `contains(org.w3c.dom.Node s)` **For internal use only** Tell if the table contains the given node.
`org.w3c.dom.Node` | `elementAt(int i)` **For internal use only** Get the nth element.
`int` | `indexOf(org.w3c.dom.Node elem)` **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`int` | `indexOf(org.w3c.dom.Node elem, int index)` **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`void` | `insertElementAt(org.w3c.dom.Node value, int at)` **For internal use only** Inserts the specified node in this vector at the specified index.
`void` | `removeAllElements()` **For internal use only** Inserts the specified node in this vector at the specified index.
`boolean` | `removeElement(org.w3c.dom.Node s)` **For internal use only** Removes the first occurrence of the argument from this vector.
`void` | `removeElementAt(int i)` **For internal use only** Deletes the component at the specified index.
`void` | `setElementAt(org.w3c.dom.Node node, int index)` **For internal use only** Sets the component at the specified index of this vector to be the specified object.
`int` | `size()` **For internal use only** Get the length of the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeVector

    public NodeVector()

  **For internal use only** Default constructor.

### NodeVector

    public NodeVector(int blocksize)

  **For internal use only** Construct a NodeVector, using the given block size.

Method Detail

### size

    public final int size()

  **For internal use only** Get the length of the list.

### addElement

    public final void addElement(org.w3c.dom.Node value)

  **For internal use only** Append a Node onto the vector.

### insertElementAt

    public final void insertElementAt(org.w3c.dom.Node value,
                                      int at)

  **For internal use only** Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### appendNodes

    public final void appendNodes(NodeVector nodes)

  **For internal use only** Append the nodes to the list.

### removeAllElements

    public final void removeAllElements()

  **For internal use only** Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### removeElement

    public final boolean removeElement(org.w3c.dom.Node s)

  **For internal use only** Removes the first occurrence of the argument from this vector. If the object is found in this vector, each component in the vector with an index greater or equal to the object's index is shifted downward to have an index one smaller than the value it had previously.

### removeElementAt

    public final void removeElementAt(int i)

  **For internal use only** Deletes the component at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted downward to have an index one smaller than the value it had previously.

### setElementAt

    public final void setElementAt(org.w3c.dom.Node node,
                                   int index)

  **For internal use only** Sets the component at the specified index of this vector to be the specified object. The previous component at that position is discarded. The index must be a value greater than or equal to 0 and less than the current size of the vector.

### elementAt

    public final org.w3c.dom.Node elementAt(int i)

  **For internal use only** Get the nth element.

### contains

    public final boolean contains(org.w3c.dom.Node s)

  **For internal use only** Tell if the table contains the given node.

### indexOf

    public final int indexOf(org.w3c.dom.Node elem,
                             int index)

  **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

### indexOf

    public final int indexOf(org.w3c.dom.Node elem)

  **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.